Bug 472685 - Review Request: perl-Catalyst-Component-InstancePerContext - Return a new instance a component on each request
Review Request: perl-Catalyst-Component-InstancePerContext - Return a new ins...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 07:54 EST by Iain Arnell
Modified: 2008-12-13 10:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 17:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-23 07:54:48 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Catalyst-Component-InstancePerContext.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9.src.rpm
Description: Return a new instance a component on each request.

rpmlint shows two warnings, but there's not a lot I can do about long filenames.

perl-Catalyst-Component-InstancePerContext.src: W: filename-too-long-for-joliet perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9.src.rpm
perl-Catalyst-Component-InstancePerContext.noarch: W: filename-too-long-for-joliet perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9.noarch.rpm
Comment 1 Chris Weyl 2008-11-24 00:25:39 EST
Everything looks good.

http://koji.fedoraproject.org/koji/taskinfo?taskID=947334

Spec looks sane, clean and consistent; license is correct (perl); make test
passes cleanly.

Source tarball matches upstream:

dd3e9c804cb7f8d6755132d92b26a80a  Catalyst-Component-InstancePerContext-0.001001.tar.gz
dd3e9c804cb7f8d6755132d92b26a80a  Catalyst-Component-InstancePerContext-0.001001.tar.gz.srpm

Provides, requires and rpmlint looks sane:

=====> perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9.noarch.rpm
====> rpmlint
perl-Catalyst-Component-InstancePerContext.noarch: W: filename-too-long-for-joliet perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9.noarch.rpm
perl(Catalyst::Component::InstancePerContext) = 0.001001
perl-Catalyst-Component-InstancePerContext = 0.001001-1.fc9
====> requires for perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Catalyst)  
perl(Moose)  
perl(Moose::Role)  
perl(Scalar::Util)  
perl(strict)  
perl(warnings)  

APPROVED
Comment 2 Iain Arnell 2008-11-24 01:47:51 EST
New Package CVS Request
=======================
Package Name: perl-Catalyst-Component-InstancePerContext
Short Description: Return a new instance a component on each request
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Dennis Gilmore 2008-11-25 11:32:00 EST
CVS Done
Comment 4 Fedora Update System 2008-11-26 09:22:31 EST
perl-Catalyst-Component-InstancePerContext-0.001001-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-Component-InstancePerContext-0.001001-1.fc10
Comment 5 Fedora Update System 2008-11-26 09:22:34 EST
perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9
Comment 6 Fedora Update System 2008-11-26 21:09:17 EST
perl-Catalyst-Component-InstancePerContext-0.001001-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Component-InstancePerContext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10442
Comment 7 Fedora Update System 2008-11-26 21:12:56 EST
perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update perl-Catalyst-Component-InstancePerContext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10481
Comment 8 Fedora Update System 2008-12-13 10:00:19 EST
perl-Catalyst-Component-InstancePerContext-0.001001-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-13 10:02:04 EST
perl-Catalyst-Component-InstancePerContext-0.001001-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.